Bug 1076806 - tremulous bundles libjpeg
tremulous bundles libjpeg
Status: NEW
Product: Fedora
Classification: Fedora
Component: tremulous (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 05:52 EDT by Ville Skyttä
Modified: 2016-07-26 00:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 07:08:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 05:52:23 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

tremulous uses a bundled copy of libjpeg. There's tremulous-1.1.0-syslibs.patch which appears to take care of this in git but it's not included in the package nor obviously applied.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/tremulous/1.2.0/0.9.beta1.fc20/x86_64/tremulous-debuginfo-1.2.0-0.9.beta1.fc20.x86_64.rpm | grep jpeg-6b
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcapimin.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcapistd.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jccoefct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jccolor.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcdctmgr.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jchuff.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jchuff.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcinit.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcmainct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcmarker.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcmaster.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcomapi.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcparam.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcphuff.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcprepct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jcsample.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdapimin.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdapistd.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdatasrc.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdcoefct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdcolor.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdct.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jddctmgr.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdhuff.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdhuff.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdinput.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdmainct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdmarker.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdmaster.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdpostct.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdsample.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jdtrans.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jerror.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jerror.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jfdctflt.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jidctflt.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jmemmgr.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jmemnobs.c
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jmemsys.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jmorecfg.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jpegint.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jpeglib.h
/usr/src/debug/tremulous-1.2.beta1/src/jpeg-6b/jutils.c
Comment 1 Jaroslav Reznik 2015-03-03 10:35:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 07:08:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jan Kurik 2016-07-26 00:25:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.